@media screen and (min-width: 45em) {
    .md-social {
        padding: 0;
    }
}

.md-social,
.md-copyright,
.md-footer-meta__inner {
    padding: 0;
}

/* .md-typeset a{
    text-decoration: none;
} */

/* 链接的下划线只有鼠标移入才出现 */
.md-typeset a {
    text-decoration: none;
}

/* 普通链接（排除按钮） */
.md-typeset a:not(.md-button):not(label > a):not(:has(code, >svg, >span)) {
  background-image: linear-gradient(currentColor, currentColor);
  background-position: 0 100%;
  background-repeat: no-repeat;
  background-size: 0% 2px;
  transition: background-size 0.35s cubic-bezier(.4, 0, .2, 1);
}

/* hover 效果（同样排除按钮） */
.md-typeset a:not(.md-button):not(label > a):not(:has(code, >svg, >span)):hover {
  background-size: 100% 2px;
}

/* 为了让链接没有颜色写的 */
.no-color {
    color: var(--md-default-fg-color) !important;
}

/* 表格的分界线 */
.md-typeset table:not([class]) {
    background: none;
    border-radius: 0.5rem;
}

.md-typeset table:not([class]) th {
    border-bottom: 0.125rem solid var(--md-accent-fg-color);
}

/* 表头和表体都垂直居中 */
.md-typeset table:not([class]) th,
.md-typeset table:not([class]) td {
  vertical-align: middle;
}


/* small */
small {
    font-feature-settings: 'ss04' off;
}

/* 复制title */
.md-dialog {
    backdrop-filter: blur(.4rem);
    background-color: var(--md-default-bg-color--light);
    border-radius: 1.6rem;
    box-shadow: var(--md-shadow-z2);
}

.md-dialog__inner {
    color: var(--md-default-fg-color--light);
    font-size: .7rem;
}

/* 页面最大宽度 */
/* .md-grid {
    max-width: 1440px; 
} */

/* 字体 */
@font-face {
    font-family: "MiSans";
    src: url("../fonts/MiSans-ExtraLight.woff2") format("woff2");
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "MiSans";
    src: url("../fonts/MiSans-Regular.woff2") format("woff2");
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: "MiSans";
    src: url("../fonts/MiSans-Bold.woff2") format("woff2");
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

:root {
    --md-text-font: "MiSans";
    --features: "tnum" on, "case" on;
    --md-steps-border-color: hsla(0, 0%, 75%, 1);
}

* {
    font-feature-settings: var(--features);
}

/* 深色主题改改颜色这些 */
[data-md-color-scheme=slate] {
    /* 背景 */
    --md-default-bg-color: oklch(20.09% .003 67.68);
    /* 页眉 */
    --md-default-bg-color--light: hsla(var(--md-default-bg-color), 5.88%, 13.33%, 0.54);
    /* 代码块背景 */
    --md-code-bg-color: #1e1d1c;
    /* 代码块按钮背景 */
    --md-code-bg-color--lighter: hsla(var(--md-code-bg-color), 3.17%, 24.44%, 0.7);
    /* 代码块按键背景hover */
    --md-code-bg-color--light: hsla(var(--md-code-bg-color),3.17%, 24.44%, 0.8);
    /* 按键边框 */
    --md-typeset-kbd-border-color: hsla(var(--md-code-bg-color), 3.87%, 30.42%, 1);
}

/* 浅色主题改改颜色这些 */
[data-md-color-scheme=default] {
    --md-default-bg-color: #faf8f5;
    --md-default-bg-color--light: hsla(var(--md-default-bg-color), 5.88%, 13.33%, 0.54);
    --md-code-bg-color: #f4f0ed;
    --md-code-bg-color--lighter: hsla(var(--md-code-bg-color), 3.17%, 24.44%, 0.7);
    --md-code-bg-color--light: hsla(var(--md-code-bg-color),3.17%, 24.44%, 0.8);
}

/* 文字相关的主题色 */
[data-md-color-accent="liwanr"] {
    --md-accent-fg-color: #958367;
    --md-accent-fg-color--transparent: #8378661a;
}

[data-md-color-primary="liwanr"] {
    --md-primary-fg-color: #958367;
    --md-primary-fg-color--light: #ff0000;
    --md-primary-fg-color--dark: #ff0000;
    --md-primary-bg-color: #f1eee9;
    --md-primary-bg-color--light: #ff0000;
}

/* step */
.md-typeset .step > ol {
    counter-reset: item;
}

.md-typeset .step > ol > li {
    position: relative;
    padding-left: 1em;
    list-style: none;
}

.md-typeset .step > ol > li::before {
    position: absolute;
    top: .9px;
    left: -1px;
    z-index: -1;
    display: block;
    width: 1.9em;
    height: 1.9em;
    margin-left: -1.25em;
    color: var(--md-default-fg-color);
    font-weight: 600;
    font-size: 0.9em;
    text-align: center;
    background-color: var(--md-code-bg-color);
    border: 1px solid var(--md-default-fg-color);
    border-radius: 100px;
    content: counter(item);
    counter-increment: item;
}

.md-typeset .step > ol > li::after {
    position: absolute;
    top: 6px;
    bottom: 1px;
    left: -0.36em;
    display: block;
    width: 1px;
    margin-top: 2em;
    border-left: 1px solid var(--md-steps-border-color);
    content: "";
    border-radius: 50px;
}

/* 题注的字体比例 */
figcaption {
    font-size: 80%;
}

/* 图标位置的调整，尽量保证水平居中 */
.md-typeset small .twemoji {
    margin-top: 1.35px;
}

.md-typeset h2 .twemoji {
    margin-top: 2.7px;
}

/* 底部那一条改改样式，尺寸小的时候只显示快捷图标并居中 */
@media (max-width: 750px) {
    .md-social {
        padding: 0;
    }

    .md-copyright__highlight {
        display: none;
    }

    .md-grid {
        align-items: center;
        justify-content: center;
        height: 100%;
    }
}

/* tabbed start */
.md-typeset .tabbed-control button:hover {
    color: var(--md-default-bg-color);
    background: var(--md-accent-fg-color);
}

.md-typeset .tabbed-control--next button:hover {
    color: var(--md-default-bg-color);
    background: var(--md-accent-fg-color);
}

.js .md-typeset .tabbed-labels::before {
    background-color: var(--md-accent-fg-color);
}

/* Style code blocks to fill full tab,
   but otherwise, pad content. */
.md-typeset .tabbed-alternate.tabbed-set .tabbed-control {
    width: 2rem;
    /* 40px ÷ 20 */
}

.md-typeset .tabbed-alternate.tabbed-set .tabbed-control[hidden] {
    width: 1.2rem;
    /* 24px ÷ 20 */
    opacity: 0;
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block {
    padding: 0 0.6rem;
    /* 12px ÷ 20 */
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>pre:first-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilite:first-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilitetable:first-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlight:first-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlighttable:first-child {
    margin-top: 0.9375em;
    /* 15px ÷ 16 */
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>pre:first-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilite:first-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilitetable:first-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlight:first-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlighttable:first-child code {
    border-top-left-radius: 0.48rem;
    /* 9.6px ÷ 20 */
    border-top-right-radius: 0.48rem;
    /* 9.6px ÷ 20 */
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>pre:only-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilite:only-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilitetable:only-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlight:only-child,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlighttable:only-child {
    margin-top: 0;
    margin-right: -1.2rem;
    /* -24px ÷ 20 */
    margin-left: -1.2rem;
    /* -24px ÷ 20 */
    padding-right: 0.6rem;
    /* 12px ÷ 20 */
    padding-left: 0.6rem;
    /* 12px ÷ 20 */
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>pre:only-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilite:only-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilitetable:only-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlight:only-child code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlighttable:only-child code {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>pre:only-child span.filename,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilite:only-child span.filename,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.codehilitetable:only-child span.filename,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlight:only-child span.filename,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.highlighttable:only-child span.filename {
    margin-top: 0;
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child {
    margin-top: 0;
    margin-right: -1.2rem;
    /* -24px ÷ 20 */
    margin-left: -1.2rem;
    /* -24px ÷ 20 */
    padding-right: 0.6rem;
    /* 12px ÷ 20 */
    padding-left: 0.6rem;
    /* 12px ÷ 20 */
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child pre code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child .codehilite code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child .codehilitetable code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child .highlight code,
.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>.collapse-code:only-child .highlighttable code {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.md-typeset .tabbed-alternate.tabbed-set>.tabbed-content>.tabbed-block>diagram-div:only-child {
    margin-right: -1.2rem;
    /* -24px ÷ 20 */
    margin-left: -1.2rem;
    /* -24px ÷ 20 */
    padding-right: 0.6rem;
    /* 12px ÷ 20 */
    padding-left: 0.6rem;
    /* 12px ÷ 20 */
}

/* Ignore mobile overflow styling that extends the tab bar */
@media screen and (max-width: 44.9375em) {

    /* 719px - mobile landscape max */
    [dir=ltr] .md-content__inner>.tabbed-set .tabbed-labels {
        padding-left: 0;
    }

    .md-content__inner>.tabbed-set .tabbed-labels {
        max-width: 100%;
        margin: 0;
        padding-inline-start: 0;
        scroll-padding-inline-start: 0;
    }

    .md-content__inner>.tabbed-set .tabbed-labels::after {
        padding-inline-end: 0;
        content: none;
    }

    .md-content__inner>.tabbed-set .tabbed-labels~.tabbed-control--prev {
        margin-inline-start: 0;
        padding-inline-start: 0;
    }

    .md-content__inner>.tabbed-set .tabbed-labels~.tabbed-control--next {
        margin-inline-end: 0;
        padding-inline-end: 0;
    }
}

/* tabbed end */

/* 进度条开始 */

.progress-label {
    position: absolute;
    text-align: center;
    font-weight: 700;
    width: 100%;
    margin: 0;
    line-height: 1.2rem;
    white-space: nowrap;
    overflow: hidden;
}

.progress-bar {
    height: 1.2rem;
    float: left;
    background-color: #2979ff;
}

.progress {
    display: block;
    width: 100%;
    margin: 0.5rem 0;
    height: 1.2rem;
    background-color: #eeeeee;
    position: relative;
}

.progress.thin {
    margin-top: 0.9rem;
    height: 0.4rem;
}

.progress.thin .progress-label {
    margin-top: -0.4rem;
}

.progress.thin .progress-bar {
    height: 0.4rem;
}

.progress-100plus .progress-bar {
    background-color: #00e676;
}

.progress-80plus .progress-bar {
    background-color: #fbc02d;
}

.progress-60plus .progress-bar {
    background-color: #ff9100;
}

.progress-40plus .progress-bar {
    background-color: #ff5252;
}

.progress-20plus .progress-bar {
    background-color: #ff1744;
}

.progress-0plus .progress-bar {
    background-color: #f50057;
}

/* 进度条结束 */